edelib: TiXmlAttribute Class Reference

edelib 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
TiXmlAttribute Class Reference

Name-value pair. More...

`#include <edelib/TiXml.h>`

Inheritance diagram for TiXmlAttribute:

## Public Member Functions
| TiXmlAttribute ()
| TiXmlAttribute (const char *_name, const char *_value)
const char * | Name () const
const char * | Value () const
int | IntValue () const
double | DoubleValue () const
const edelib::String & | NameTStr () const
int | QueryIntValue (int *_value) const
int | QueryDoubleValue (double *_value) const
void | SetName (const char *_name)
void | SetValue (const char *_value)
void | SetIntValue (int _value)
void | SetDoubleValue (double _value)
const TiXmlAttribute * | Next () const
TiXmlAttribute * | Next ()
const TiXmlAttribute * | Previous () const
TiXmlAttribute * | Previous ()
bool | operator== (const TiXmlAttribute &rhs) const
bool | operator< (const TiXmlAttribute &rhs) const
bool | operator> (const TiXmlAttribute &rhs) const
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)
virtual void | Print (FILE *cfile, int depth) const
void | Print (FILE *cfile, int depth, edelib::String *str) const
Public Member Functions inherited from TiXmlBase
int | Row () const
int | Column () const
void | SetUserData (void *user)
void * | GetUserData ()
const void * | GetUserData () const

## Friends
class | TiXmlAttributeSet

## Additional Inherited Members
Public Types inherited from TiXmlBase
enum | { TIXML_NO_ERROR = 0, TIXML_ERROR, TIXML_ERROR_OPENING_FILE, TIXML_ERROR_OUT_OF_MEMORY, TIXML_ERROR_PARSING_ELEMENT, TIXML_ERROR_FAILED_TO_READ_ELEMENT_NAME, TIXML_ERROR_READING_ELEMENT_VALUE, TIXML_ERROR_READING_ATTRIBUTES, TIXML_ERROR_PARSING_EMPTY, TIXML_ERROR_READING_END_TAG, TIXML_ERROR_PARSING_UNKNOWN, TIXML_ERROR_PARSING_COMMENT, TIXML_ERROR_PARSING_DECLARATION, TIXML_ERROR_DOCUMENT_EMPTY, TIXML_ERROR_EMBEDDED_NULL, TIXML_ERROR_PARSING_CDATA, TIXML_ERROR_DOCUMENT_TOP_ONLY, TIXML_ERROR_STRING_COUNT }
Static Public Member Functions inherited from TiXmlBase
static void | SetCondenseWhiteSpace (bool condense)
static bool | IsWhiteSpaceCondensed ()
Static Protected Member Functions inherited from TiXmlBase
static const char * | ReadName (const char *p, edelib::String *name, TiXmlEncoding encoding)
static const char * | ReadText (const char *in, edelib::String *text, bool ignoreWhiteSpace, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static const char * | GetEntity (const char *in, char *value, int *length, TiXmlEncoding encoding)
static const char * | GetChar (const char *p, char *_value, int *length, TiXmlEncoding encoding)
static void | PutString (const edelib::String &str, edelib::String *out)
static bool | StringEqual (const char *p, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static int | IsAlpha (unsigned char anyByte, TiXmlEncoding encoding)
static int | IsAlphaNum (unsigned char anyByte, TiXmlEncoding encoding)
static int | ToLower (int v, TiXmlEncoding encoding)
static void | ConvertUTF32ToUTF8 (unsigned long input, char *output, int *length)
Protected Attributes inherited from TiXmlBase
TiXmlCursor | location
void * | userData
Static Protected Attributes inherited from TiXmlBase
static const char * | errorString [TIXML_ERROR_STRING_COUNT]

## Detailed Description

Name-value pair.

An attribute is a name-value pair. Elements have an arbitrary number of attributes, each with a unique name.

Note
  The attributes are not TiXmlNodes, since they are not part of the tinyXML document object model. There are other suggested ways to look at this problem.

## Constructor & Destructor Documentation

TiXmlAttribute | ( |  | ) |
| inline

Construct an empty attribute

TiXmlAttribute | ( | const char * | _name,
|  | const char * | _value
| ) |  |
| inline

Construct an attribute with a name and value.

## Member Function Documentation

double DoubleValue | ( |  | ) | const

Return the value of this attribute, converted to a double.

int IntValue | ( |  | ) | const

Return the value of this attribute, converted to an integer.

const char* Name | ( |  | ) | const
| inline

Return the name of this attribute.

const edelib :: String& NameTStr | ( |  | ) | const
| inline

Get the tinyxml string representation

const TiXmlAttribute* Next | ( |  | ) | const

Get the next sibling attribute in the DOM. Returns null at end.

TiXmlAttribute* Next | ( |  | ) |
| inline

Get the next sibling attribute in the DOM. Returns null at end.

bool operator< | ( | const TiXmlAttribute & | rhs | ) | const
| inline

Compares two attributes

bool operator== | ( | const TiXmlAttribute & | rhs | ) | const
| inline

Compares two attributes

bool operator> | ( | const TiXmlAttribute & | rhs | ) | const
| inline

Compares two attributes

virtual const char* Parse | ( | const char * | p,
|  | TiXmlParsingData * | data,
|  | TiXmlEncoding | encoding
| ) |  |
| virtual

Attribute parsing starts: first letter of the name returns: the next char after the value end quote

const TiXmlAttribute* Previous | ( |  | ) | const

Get the previous sibling attribute in the DOM. Returns null at beginning.

TiXmlAttribute* Previous | ( |  | ) |
| inline

Get the previous sibling attribute in the DOM. Returns null at beginning.

virtual void Print | ( | FILE * | cfile,
|  | int | depth
| ) |  | const
| inlinevirtual

Prints this Attribute to a FILE stream.

Implements TiXmlBase.

void Print | ( | FILE * | cfile,
|  | int | depth,
|  | edelib::String * | str
| ) |  | const

Prints this Attribute to a FILE stream.

int QueryDoubleValue | ( | double * | _value | ) | const

QueryDoubleValue examines the value string. See QueryIntValue().

int QueryIntValue | ( | int * | _value | ) | const

QueryIntValue examines the value string. It is an alternative to the IntValue() method with richer error checking. If the value is an integer, it is stored in 'value' and the call returns TIXML_SUCCESS. If it is not an integer, it returns TIXML_WRONG_TYPE.

A specialized but useful call. Note that for success it returns 0, which is the opposite of almost all other TinyXml calls.

void SetDoubleValue | ( | double | _value | ) |

Set the value from a double.

void SetIntValue | ( | int | _value | ) |

Set the value from an integer.

void SetName | ( | const char * | _name | ) |
| inline

Set the name of this attribute.

void SetValue | ( | const char * | _value | ) |
| inline

Set the value.

const char* Value | ( |  | ) | const
| inline

Return the value of this attribute.

The documentation for this class was generated from the following file:

- edelib/TiXml.h